Loading...
Searching...
No Matches
detail::discussion_handler Struct Reference

`#include <attr.hpp>`

Inheritance diagram for detail::discussion_handler:
[legend]

## Static Public Member Functions

template<typename TDummy >
static void | set_value (ChangesetDiscussionBuilder &, const TDummy &) noexcept
static void | set_value (ChangesetDiscussionBuilder &builder, const attr::_comment &comment)
template<typename TIterator >
static void | set_value (ChangesetDiscussionBuilder &builder, const attr::detail::comments_from_iterator_pair< TIterator > &comments)

## Member Function Documentation

## set_value() [1/3]

template<typename TDummy >

static void detail::discussion_handler::set_value | ( | ChangesetDiscussionBuilder & | ,
|  | const TDummy & |
| ) |  |

inline static noexcept

## set_value() [2/3]

static void detail::discussion_handler::set_value | ( | ChangesetDiscussionBuilder & | builder,
|  | const attr::_comment & | comment
| ) |  |

inline static

## set_value() [3/3]

template<typename TIterator >

static void detail::discussion_handler::set_value | ( | ChangesetDiscussionBuilder & | builder,
|  | const attr::detail::comments_from_iterator_pair< TIterator > & | comments
| ) |  |

inline static

The documentation for this struct was generated from the following file:

- include/osmium/builder/attr.hpp